- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_admpwd – change admin password of PAN-OS device using SSH with SSH key

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Consolidating code base.
Alternative: | Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Change the admin password of PAN-OS via SSH using a SSH key for authentication.
- Useful for AWS instances where the first login should be done via SSH.

## Requirements

The below requirements are needed on the host that executes this module.

- paramiko

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
ip_address - / required |  | IP address (or hostname) of PAN-OS device
key_filename - / required |  | filename of the SSH Key to use for authentication
newpassword - / required |  | password to configure for admin on the PAN-OS device
username - | Default: "admin" | username for initial authentication

## Examples

    # Tries for 10 times to set the admin password of 192.168.1.1 to "badpassword"
    # via SSH, authenticating using key /tmp/ssh.key
    - name: set admin password
      panos_admpwd:
        ip_address: "192.168.1.1"
        username: "admin"
        key_filename: "/tmp/ssh.key"
        newpassword: "badpassword"
      register: result
      until: result is not failed
      retries: 10
      delay: 30

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
status string | success | success status Sample: Last login: Fri Sep 16 11:09:20 2016 from 10.35.34.56.....Configuration committed successfully

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.